import http from '@/support/http';
import { Message } from '@element-plus/icons-vue/dist/types';
/**
 * cp选择项
 */
export function cpOptions(params: object) {
  return http.get('/contentManage/cp/options', params).then(res => {
    const r = res.data;
    const code = r.code;
    if (code === 1e4) {
      return r;
    }
  });
}
/**
 * 数据中心列表
 */
export function subscribeStatisticDataList(params: object) {
  return http
    .get('/contentManage/cp/subscribeStatisticData/list', params)
    .then(res => {
      const r = res.data;
      const code = r.code;
      if (code === 1e4) {
        return r;
      }
    });
}
/**
 * 数据中心列表
 */
export function subscribeStatisticDataListStatistic(params: object) {
  return http
    .get('/contentManage/cp/subscribeStatisticData/listStatistic', params)
    .then(res => {
      const r = res.data;
      const code = r.code;
      if (code === 1e4) {
        return r;
      }
    });
}
/**
 * cp结算列表
 */
export function subscribeStatisticDataMonthList(params: object) {
  return http
    .get('/contentManage/cp/subscribeStatisticData/monthList', params)
    .then(res => {
      const r = res.data;
      const code = r.code;
      if (code === 1e4) {
        return r;
      }
    });
}
/**
 * cp列表
 */
export function cpManageCpList(params?: object) {
  return http.get('/contentManage/cp/manage/cp_list', params).then(res => {
    const r = res.data;
    const code = r.code;
    if (code === 1e4) {
      return r;
    }
  });
}
/**
 * cp结算列表-某个cp某月的全部书籍结算金额导出
 */
export function exportListCpMonthFinalAmount(params: object) {
  return http
    .get(
      '/contentManage/cp/subscribeStatisticData/listCpMonthFinalAmount',
      params
    )
    .then(res => {
      const r = res.data;
      const code = r.code;
      if (code === 1e4) {
        return r;
      }
    });
}
/**
 * 同步CP书籍
 */
export function cpCpCollection(params: object) {
  return http.get('/contentManage/cp/cpCollection', params).then(res => {
    const r = res.data;
    const code = r.code;
    if (code === 1e4) {
      return r;
    }
  });
}
/**
 * 修改结算状态
 */
export function saveFinalState(params: object) {
  return http.post(
    '/contentManage/cp/subscribeStatisticData/saveFinalState',
    params
  );
}
